﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StartReading.Security.Validation
{
    public interface IValidation<T>
    {
        void IsValid( T item );
    }

    public interface IValidation<T, U>
    {
        void IsValid( T tItem, U uItem );
    }

    public interface IValidation<T, U, V>
    {
        void IsValid( T tItem, U uItem, V vItem );
    }
}
